スポンサーリンク

redmineを4にする前に使っているプラグインが対応しているか調べた

スポンサーリンク
スポンサーリンク

redmineを4にする前に使っているプラグインが対応しているか調べた

redmine3を使っていてなんとなくredmine4にバージョンアップしようと思ってネットで検索をしました。
すると、プラグインが対応していない可能性があるという記事を見つけました。
そこで、現在使っているプラグインの対応状況を調べました。

結論として対応していないプラグインがあるのでredmine4へのバージョンアップは見送ります。

環境

Windows10
Bitnami Redmine 3.4.4

使用しているredmineのプラグイン

clipboard_image_paste
redmine_absolute_dates
redmine_code_review
redmine_issue_templates

clipboard_image_paste

チケットなどに画像を添付するときにクリップボードから貼り付けられるプラグイン。
かなり便利。
https://github.com/peclik/clipboard_image_paste
GitHubを見ると「Redmine up to 3.4.x, 2.x, 1.4.x」と書かれているのでまだ4には対応していない。

redmine_absolute_dates

チケットの作成日、更新日、注記などはデフォルトだと「x日前」と表示される。
このプラグインを入れることで日付で表示することができる。
https://github.com/suer/redmine_absolute_dates
GitHubを見るとredmineの4に対応しているように見える。

redmine_code_review

svnのパスを指定するとredmine上でソースコードを確認、チケットとしてレビュー記録を作成することができる。
エクセルにレビュー記録を書くとソースコードのどこなのかわかりにくかったけれど、チケットからソースコードのどこかも追跡できるので便利。
https://github.com/haru/redmine_code_review
GitHubを見ると対応しているredmineのバージョンがわからなかった。

redmine_issue_templates

redmineのチケットのテンプレートを作成できるプラグイン。
使っていないけれど一応調べた。
https://github.com/akiko-pusu/redmine_issue_templates
GitHubを見ると「Redmine 2.1.x or higher」と書かれていた。
文字通りだと2.1.x以降なら対応しているけれど不明。

コメント

タイトルとURLをコピーしました